#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "ppc.h"
#include "tmesh.h"

class Scene {
public:
  
  GUI *gui;
  FrameBuffer *fb, *texture, *hwfb;
  PPC *ppc, *ppc0, *ppc1;
  TMesh **tmeshes;
  int tmeshesN;
  
  Scene();
  void DBG();
  void Render();
  void RenderHW();
  void FlagB();
  void SaveB();

};

extern Scene *scene;
